image: katalonstudio/katalon
services:
  - docker:dind
stages:
  - SmokeTest
  - RegressionTest
SmokeTest:
  stage: SmokeTest
  script:
    - katalon-execute.sh -browserType="Chrome" -retry=0 -statusDelay=15 -testSuitePath="Test Suites/TS_SmokeSuite" -apiKey=$KATALON_API_KEY --config -proxy.auth.option=NO_PROXY -proxy.system.option=NO_PROXY -proxy.system.applyToDesiredCapabilities=true
  artifacts:
    name: "$CI_COMMIT_REF_NAME"
    paths:
      - report/
    reports:
      junit:
      - 'report/*.xml'

RegressionTest:
  stage: RegressionTest
  script:
    - katalon-execute.sh -browserType="Chrome" -retry=0 -statusDelay=15 -testSuitePath="Test Suites/TS_RegressionTest" -apiKey=$KATALON_API_KEY --config -proxy.auth.option=NO_PROXY -proxy.system.option=NO_PROXY -proxy.system.applyToDesiredCapabilities=true
  artifacts:
    name: "$CI_COMMIT_REF_NAME"
    paths:
      - report/
    reports:
      junit:
      - 'report/*.xml'
